Summary: 	A program for synchronizing files over a network.
Name: 		rsync-devel
Version: 	3.0.3
Release: 	1
Group: 		Development
Url:		http://samba.anu.edu.au/rsync/
Source0:	http://samba.anu.edu.au/ftp/rsync/src/rsync-%{version}.tar.gz
Source1:	http://samba.anu.edu.au/ftp/rsync/src/rsync-patches-%{version}.tar.gz
BuildRequires: 	libacl-devel libattr-devel autoconf make gcc popt-devel
Prefix: 	%{_prefix}
BuildRoot: 	/var/tmp/%{name}-root
License: 	GPLv3+

%description
Rsync uses a reliable algorithm to bring remote and host files into
sync very quickly. Rsync is fast because it just sends the differences
in the files over the network instead of sending the complete
files. Rsync is often used as a very powerful mirroring process or
just as a more capable replacement for the rcp command. A technical
report which describes the rsync algorithm is included in this
package.

%prep
%setup -q -n rsync-%{version} -b 1
chmod -x support/*
patch -p1 -i patches/acls.diff
patch -p1 -i patches/xattrs.diff

%build
autoreconf -i -f
%configure --disable-nls
make proto
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS OLDNEWS README
%{_prefix}/bin/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*
